Skip to main content

Atrium API

Create User

Call this endpoint to create a new user. Atrium will respond with the newly-created user object if successful.

This endpoint accepts several parameters: identifier, metadata, and is_disabled. The identifier and metadata fields are discussed in detail in the API overview.

Disabling a user means that accounts and transactions associated with it will not be updated in the background by MX. It will also restrict access to that user's data until they are no longer disabled.

POST
/users

Request Body

None of these parameters are required, but the user object cannot be empty.

FieldRequiredType

identifier

Optional
String

is_disabled

Optional
String

metadata

Optional
String

Request sample

Language:sh

_11
curl -i -X POST 'https://vestibule.mx.com/users' \
_11
-H 'Accept: application/vnd.mx.atrium.v1+json' \
_11
-H 'Content-Type: application/json' \
_11
-H 'MX-API-Key: {mx_api_key}' \
_11
-H 'MX-Client-ID: {mx_client_id}' \
_11
-d '{
_11
"user": {
_11
"identifier": "unique_id",
_11
"metadata": "{\"first_name\": \"Steven\"}"
_11
}
_11
}'

Response sample

200
Language:json

_10
{
_10
"user": {
_10
"guid": "USR-fa7537f3-48aa-a683-a02a-b18940482f54",
_10
"identifier": "unique_id",
_10
"is_disabled": false,
_10
"metadata": "{\"first_name\": \"Steven\"}"
_10
}
_10
}